package com.admin.major.mapper;

import java.util.List;
import com.admin.major.domain.StudentCourse;

/**
 * 学生课程信息Mapper接口
 * 
 * @author zewei
 * @date 2022-04-07
 */
public interface StudentCourseMapper 
{
    /**
     * 查询学生课程信息
     * 
     * @param studentId 学生课程信息主键
     * @return 学生课程信息
     */
    public StudentCourse selectStudentCourseByStudentId(String studentId);

    /**
     * 查询学生课程信息列表
     * 
     * @param studentCourse 学生课程信息
     * @return 学生课程信息集合
     */
    public List<StudentCourse> selectStudentCourseList(StudentCourse studentCourse);

    /**
     * 新增学生课程信息
     * 
     * @param studentCourse 学生课程信息
     * @return 结果
     */
    public int insertStudentCourse(StudentCourse studentCourse);

    /**
     * 新增或修改学生课程信息
     *
     * @param studentCourse 学生课程信息
     * @return 结果
     */
    public int replaceStudentCourse(StudentCourse studentCourse);
    /**
     * 修改学生课程信息
     * 
     * @param studentCourse 学生课程信息
     * @return 结果
     */
    public int updateStudentCourse(StudentCourse studentCourse);

    /**
     * 删除学生课程信息
     * 
     * @param studentId 学生课程信息主键
     * @return 结果
     */
    public int deleteStudentCourseByStudentId(String studentId);

    /**
     * 批量删除学生课程信息
     * 
     * @param studentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStudentCourseByStudentIds(String[] studentIds);
}
